
QGIS Application - Bug report #18433

Single "Point" Memory layer allows me to store MULTI geometries on it

2018-03-13 06:02 PM - gcarrillo -

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: GNU/Linux (Linux Mint based on Ubuntu Xenial)Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26322

Description

Steps to reproduce:

1. Create a POINT memory layer.

2. Digitize 2 points.

3. Select those 2 points.

4. Click on the "Merge Selected Features" tool and accept.

5. Save the edit session.

The 2 points are saved into a single feature of my POINT layer.

Some checks:

>>>QgsWkbTypes().isMultiType(layer.wkbType())

False

>>>layer.selectedFeatures()[0].geometry().wkbType() == QgsWkbTypes.MultiPoint

True

>>>layer.selectedFeatures()[0].geometry().wkbType() == QgsWkbTypes.Point

False

History

#1 - 2018-03-16 03:56 AM - gcarrillo -

- Subject changed from Single "Point" Memory layer allows me to store MULTI geoemtries on it to Single "Point" Memory layer allows me to store 

MULTI geometries on it

#2 - 2019-03-09 04:35 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#3 - 2019-03-18 12:13 AM - gcarrillo -

- Status changed from Feedback to Closed

Giovanni Manghi wrote:
Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

Just tested on master (3.7) and couldn't reproduce. A proper message informs why a multi-geometry cannot be saved!
